WoltLab Suite 3.1 RC 2 Download

  • WoltLab Suite Core 3.1 und WoltLab Suite Forum 5.1 bilden das ideale Duo für Foren und Websites, machen Sie mehr aus Ihrer Community!


    Systemvoraussetzungen

    Für die Installation und Nutzung von WoltLab Suite 3.1 müssen die folgenden Voraussetzungen erfüllt sein:

    • Webserver mit PHP 5.5.4 oder neuer
    • MySQL 5.5.35 (oder neuer) / MariaDB 5.5.47 (oder neuer) / MariaDB 10.0.22 (oder neuer)
    • 20 MB Festplattenspeicher
    • Aktueller Webbrowser (Chrome 62+, Firefox 56+, Safari 11, Internet Explorer 11 / Microsoft Edge 40+ [EdgeHTML 15+])

    Installationsanleitung

    1. Laden Sie das Installations-Archiv auf Ihren Computer herunter.
    2. Entpacken Sie das Archiv.
    3. Laden Sie die Dateien install.php, test.php und WCFSetup.tar.gz auf Ihren Webserver hoch.
    4. Starten Sie die Installation, indem Sie die Datei test.php in Ihrem Webbrowser aufrufen.

    Aktualisierung von früheren Versionen

    Bitte befolgen Sie die Anleitung im folgenden Beitrag um ein Upgrade von WoltLab Suite 3.0 vorzunehmen.

    Nutzung & Support

    Es handelt sich um eine Testversion, die nicht für den produktiven Einsatz gedacht ist. Die Nutzung in einer Produktivumgebung erfolgt auf eigene Gefahr. Ein Update von RC 2 auf zukünftige Versionen wird garantiert. Die Nutzungsdauer der Betaversion ist auf den 1. April 2018 begrenzt, danach ist eine weitere Nutzung nur mit einer für die jeweilige App (z. B. WoltLab Suite Forum 5.1) gültigen Lizenz gestattet.


    Fragen und Anregungen zu der neuen Version können direkt hier im Forum hinterlassen werden; Im Falle von Probleme oder Unstimmigkeiten bitten wir um eine kurze Rückmeldung im entsprechenden Bereich, damit wir uns dessen annehmen können.



    Download WoltLab Suite Blog 3.1 RC 1 (*)

    Download WoltLab Suite Calendar 3.1 RC 2

    Download WoltLab Suite Filebase 3.1 RC 2

    Download WoltLab Suite Forum 5.1 RC 2

    Download WoltLab Suite Gallery 3.1 RC 2


    (*) WoltLab Suite Blog 3.1 erfordert gegenwärtig kein Update, die Version RC 1 ist die aktuellste verfügbare Version.

  • Die unten stehende Anleitung umfasst ausschließlich ein Upgrade von WoltLab Suite 3.0.x aus. Sollten Sie ein Upgrade von einer früheren Version durchführen wollen, so beachten Sie bitte die bereitgestellten Anleitungen im Hilfe-Bereich.

    Schritt 1: Wartungsmodus aktivieren

    Der Wartungsmodus schaltet das Forum sowie alle damit zusammenhängenden Funktionen (u.a. Cronjobs) temporär ab um die Konsistenz der Daten zu gewährleisten. Jeder kurzfristige Ausfall des Forums ist unangenehm, dennoch sollten Sie diesen Schritt begehen um ein reibungsloses Upgrade zu gewährleisten, andernfalls nehmen Sie das Risiko von Inkonsistenzen bis hin zu Fehlern während des Upgrade-Vorgangs in Kauf.

    Schritt 2: Sicherung der Daten anfertigen

    Sie sollten vor jedem Update eine vollständige Sicherung der Daten des Forums durchführen und insbesondere bei einem Upgrade. Dieser Vorgang ist weitaus komplexer und zu dem auch vollständig irrevesibel, ein Fehler während des Upgrade-Vorganges kann Ihr Forum irreparabel beschädigen und somit unbrauchbar machen. Mit einer aktuellen Datensicherung können Sie das Forum in kürzester Zeit wieder auf den Zustand vor dem Upgrade zurücksetzen und den Vorgang ggf. wiederholen.


    Eine vollständige Sicherung besteht aus zwei Komponenten:

    1. Vollständige Sicherung der Datenbank
      Bitte vermeiden Sie die Nutzung von phpMyAdmin zur Anfertigung einer Sicherung, es ist nicht auf die Sicherung großer Datenbanken ausgelegt und kann zu fehlerhaften und/oder unvollständigen Sicherungen führen. Wir empfehlen die Nutzung von mysqldump (sollten Sie Zugriff auf die Kommandozeile haben) oder alternativ auf die kostenlose Software MySQLDumper.
    2. Vollständige Sicherung der Dateien
      Erstellen Sie eine Sicherung aller Dateien die zum Forum gehören, inklusive der durch Benutzer erzeugten Daten, beispielsweise Dateianhänge

    Vermeiden Sie die Nutzung von unterschiedlich alten Sicherungen von Datenbank und Dateien, inkonsistente Sicherungen führen zu Problemen und können Ihr Forum beschädigen.

    Schritt 3: (Optional) Laufzeitbegrenzungen anpassen

    Im Laufe des Upgrade-Prozesses werden diverse Änderungen an wichtigen Datenbank-Tabellen vorgenommen, allen voran Tabellen in denen Nachrichten-Texte vorgehalten werden, etwa Beiträge oder Konversationen. Abhängig von der Größe Ihres Forums kann dieser Vorgang relativ lange dauern und ein Timeout (Zeitüberschreitung) würde diesen Prozess unterbrechen und die Installation irreparabel beschädigen. Bitte passen Sie nach Möglichkeit die Begrenzungen entsprechend Ihrer Website an.

    Schritt 4: Update auf die aktuellste Version

    Bitte führen Sie vorab ein vollständiges Update durch, rufen Sie dazu Konfiguration > Pakete > Pakete auflisten auf und klicken Sie auf den Button Updates suchen und lassen Sie alle verfügbaren Updates installieren.

    Schritt 5: Neue Update-Server hinzufügen

    1. Rufen Sie Konfiguration > Pakete > Update-Server auflisten auf
    2. Klicken Sie auf den Button Server hinzufügen
    3. Fügen Sie http://update.woltlab.com/tornado/ in das Feld Adresse ein und lassen Sie alle anderen Felder leer
    4. Klicken Sie auf den Button Absenden um den Server hinzuzufügen
    5. Fügen Sie http://store.woltlab.com/tornado/ in das Feld Adresse ein und lassen Sie alle anderen Felder leer
    6. Klicken Sie auf den Button Absenden um den Server hinzuzufügen

    Schritt 6: Upgrade durchführen

    Rufen Sie bitte Konfiguration > Pakete > Pakete auflisten auf und klicken Sie auf den Button Updates suchen. Im folgenden sollten Sie auf eine neue Seite weitergeleitet werden, auf der Ihnen WoltLab Suite 3 und ggf. andere Pakete zum Update angeboten werden.

    Schritt 7: Alle Anzeigen aktualisieren

    Einige der Neuerungen und Änderungen erfordern es initial sämtliche Anzeigen zu aktualisieren, bitte rufen Sie dazu Wartung > Anzeigen aktualisieren auf und führen der Reihe nach alle Aktionen aus.